Get asset activity
Returns the activity log of an asset
Returns the activity log for an asset (assignments, status changes, MDM events), newest first, with offset pagination.
Authorizations
AuthorizationstringRequired
Harmony access key, sent as Authorization: AccessKey <your-key>. Create keys in Settings > Access Keys. The tenant is resolved from the key.
Path parameters
asset_idstringRequired
Query parameters
limitinteger · min: 1 · max: 100OptionalDefault:
50offsetintegerOptionalDefault:
0Responses
200
Successful Response
application/json
Response schema for activity list.
total_countintegerRequired
Total number of events
limitintegerRequired
Number of items per page
offsetintegerRequired
Current offset
422
Validation Error
application/json
get/api/v1/assets/{asset_id}/activity
GET /asset-management/api/v1/assets/{asset_id}/activity HTTP/1.1
Host: api.harmony.io
Authorization: YOUR_API_KEY
Accept: */*
{
"items": [
{
"id": "text",
"type": "text",
"source": "text",
"timestamp": "2026-01-01T00:00:00.000Z",
"actor": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"target": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"data": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
}
],
"total_count": 1,
"limit": 1,
"offset": 1
}Last updated
Was this helpful?
